Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1530561 - [abrt] cinnamon-screensaver: __init__(): cinnamon-screensaver-main.py:63:__init__:AttributeError: 'NoneType' object has no attribute 'connect'
Summary: [abrt] cinnamon-screensaver: __init__(): cinnamon-screensaver-main.py:63:__in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 27
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c2b8626cd9ddef9b634ee016f62...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-03 11:09 UTC by a.thiaville
Modified: 2018-05-09 21:26 UTC (History)
2 users (show)

Fixed In Version: cinnamon-screensaver-3.8.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 21:26:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2018-01-03 11:09 UTC, a.thiaville
no flags Details
File: cgroup (deleted)
2018-01-03 11:09 UTC, a.thiaville
no flags Details
File: cpuinfo (deleted)
2018-01-03 11:09 UTC, a.thiaville
no flags Details
File: environ (deleted)
2018-01-03 11:09 UTC, a.thiaville
no flags Details
File: mountinfo (deleted)
2018-01-03 11:09 UTC, a.thiaville
no flags Details
File: namespaces (deleted)
2018-01-03 11:09 UTC, a.thiaville
no flags Details
File: open_fds (deleted)
2018-01-03 11:09 UTC, a.thiaville
no flags Details

Description a.thiaville 2018-01-03 11:09:09 UTC
Version-Release number of selected component:
cinnamon-screensaver-3.6.1-2.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: __init__
exception_type: AttributeError
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.14.8-300.fc27.i686+PAE
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cinnamon-screensaver-main.py:63:__init__:AttributeError: 'NoneType' object has no attribute 'connect'

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py", line 120, in <module>
    main = Main()
  File "/usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py", line 63, in __init__
    Gtk.Settings.get_default().connect("notify::gtk-theme-name", self.on_theme_changed)
AttributeError: 'NoneType' object has no attribute 'connect'

Local variables in innermost frame:
singletons: <module 'singletons' from '/usr/share/cinnamon-screensaver/singletons.py'>
ScreensaverService: <class 'service.ScreensaverService'>
args: Namespace(debug=False, interactive=False, lock_disabled=False, no_daemon=False, version=False)
parser: ArgumentParser(prog='cinnamon-screensaver-main.py', usage=None, description='Cinnamon Screensaver', formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)
self: <__main__.Main object at 0xb582f62c>

Comment 1 a.thiaville 2018-01-03 11:09:14 UTC
Created attachment 1376266 [details]
File: backtrace

Comment 2 a.thiaville 2018-01-03 11:09:16 UTC
Created attachment 1376267 [details]
File: cgroup

Comment 3 a.thiaville 2018-01-03 11:09:17 UTC
Created attachment 1376268 [details]
File: cpuinfo

Comment 4 a.thiaville 2018-01-03 11:09:19 UTC
Created attachment 1376269 [details]
File: environ

Comment 5 a.thiaville 2018-01-03 11:09:21 UTC
Created attachment 1376270 [details]
File: mountinfo

Comment 6 a.thiaville 2018-01-03 11:09:22 UTC
Created attachment 1376271 [details]
File: namespaces

Comment 7 a.thiaville 2018-01-03 11:09:24 UTC
Created attachment 1376272 [details]
File: open_fds

Comment 8 Fedora Update System 2018-05-06 18:32:57 UTC
cinnamon-3.8.2-1.fc28 mint-y-icons-1.1.5-1.fc28 mint-themes-1.6.3-1.fc28 xplayer-1.8.0-1.fc28 pix-1.8.0-1.fc28 cinnamon-screensaver-3.8.1-1.fc28 nemo-3.8.2-1.fc28 xed-1.8.0-1.fc28 muffin-3.8.1-1.fc28 xapps-1.2.1-1.fc28 cinnamon-settings-daemon-3.8.1-1.fc28 cinnamon-menus-3.8.1-1.fc28 cinnamon-desktop-3.8.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2841d04c8

Comment 9 Fedora Update System 2018-05-07 10:48:11 UTC
cinnamon-3.8.2-1.fc28, cinnamon-desktop-3.8.1-1.fc28, cinnamon-menus-3.8.1-1.fc28, cinnamon-screensaver-3.8.1-1.fc28, cinnamon-settings-daemon-3.8.1-1.fc28, mint-themes-1.6.3-1.fc28, mint-y-icons-1.1.5-1.fc28, muffin-3.8.1-1.fc28, nemo-3.8.2-1.fc28, pix-1.8.0-1.fc28, xapps-1.2.1-1.fc28, xed-1.8.0-1.fc28, xplayer-1.8.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2841d04c8

Comment 10 Fedora Update System 2018-05-09 21:26:06 UTC
cinnamon-3.8.2-1.fc28, cinnamon-desktop-3.8.1-1.fc28, cinnamon-menus-3.8.1-1.fc28, cinnamon-screensaver-3.8.1-1.fc28, cinnamon-settings-daemon-3.8.1-1.fc28, mint-themes-1.6.3-1.fc28, mint-y-icons-1.1.5-1.fc28, muffin-3.8.1-1.fc28, nemo-3.8.2-1.fc28, pix-1.8.0-1.fc28, xapps-1.2.1-1.fc28, xed-1.8.0-1.fc28, xplayer-1.8.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.